"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.catalogSplashTitle = exports.verifySplashTitle = exports.auditSplashTitle = exports.generateSplashTitle = void 0;
const logger_1 = require("./logger");
function generateSplashTitle() {
    logger_1.logger.default(`
  ███████╗██╗     ██╗██╗  ██╗                                         
  ██╔════╝██║     ██║╚██╗██╔╝                                         
  █████╗  ██║     ██║ ╚███╔╝                                          
  ██╔══╝  ██║     ██║ ██╔██╗                                          
  ██║     ███████╗██║██╔╝ ██╗                                         
  ╚═╝     ╚══════╝╚═╝╚═╝  ╚═╝                                         
                                                                      
   ██████╗ ███████╗███╗   ██╗███████╗██████╗  █████╗ ████████╗███████╗
  ██╔════╝ ██╔════╝████╗  ██║██╔════╝██╔══██╗██╔══██╗╚══██╔══╝██╔════╝
  ██║  ███╗█████╗  ██╔██╗ ██║█████╗  ██████╔╝███████║   ██║   █████╗  
  ██║   ██║██╔══╝  ██║╚██╗██║██╔══╝  ██╔══██╗██╔══██║   ██║   ██╔══╝  
  ╚██████╔╝███████╗██║ ╚████║███████╗██║  ██║██║  ██║   ██║   ███████╗
   ╚═════╝ ╚══════╝╚═╝  ╚═══╝╚══════╝╚═╝  ╚═╝╚═╝  ╚═╝   ╚═╝   ╚══════╝
                                                                      
`);
}
exports.generateSplashTitle = generateSplashTitle;
function auditSplashTitle() {
    logger_1.logger.default(`
  ███████╗██╗     ██╗██╗  ██╗          
  ██╔════╝██║     ██║╚██╗██╔╝          
  █████╗  ██║     ██║ ╚███╔╝           
  ██╔══╝  ██║     ██║ ██╔██╗           
  ██║     ███████╗██║██╔╝ ██╗          
  ╚═╝     ╚══════╝╚═╝╚═╝  ╚═╝          
                                       
   █████╗ ██╗   ██╗██████╗ ██╗████████╗
  ██╔══██╗██║   ██║██╔══██╗██║╚══██╔══╝
  ███████║██║   ██║██║  ██║██║   ██║   
  ██╔══██║██║   ██║██║  ██║██║   ██║   
  ██║  ██║╚██████╔╝██████╔╝██║   ██║   
  ╚═╝  ╚═╝ ╚═════╝ ╚═════╝ ╚═╝   ╚═╝   
                                       
`);
}
exports.auditSplashTitle = auditSplashTitle;
function verifySplashTitle() {
    logger_1.logger.default(`
  ███████╗██╗     ██╗██╗  ██╗                  
  ██╔════╝██║     ██║╚██╗██╔╝                  
  █████╗  ██║     ██║ ╚███╔╝                   
  ██╔══╝  ██║     ██║ ██╔██╗                   
  ██║     ███████╗██║██╔╝ ██╗                  
  ╚═╝     ╚══════╝╚═╝╚═╝  ╚═╝                  
                                               
  ██╗   ██╗███████╗██████╗ ██╗███████╗██╗   ██╗
  ██║   ██║██╔════╝██╔══██╗██║██╔════╝╚██╗ ██╔╝
  ██║   ██║█████╗  ██████╔╝██║█████╗   ╚████╔╝ 
  ╚██╗ ██╔╝██╔══╝  ██╔══██╗██║██╔══╝    ╚██╔╝  
   ╚████╔╝ ███████╗██║  ██║██║██║        ██║   
    ╚═══╝  ╚══════╝╚═╝  ╚═╝╚═╝╚═╝        ╚═╝   
                                               
`);
}
exports.verifySplashTitle = verifySplashTitle;
function catalogSplashTitle() {
    logger_1.logger.default(`

  ███████╗██╗     ██╗██╗  ██╗     ██████╗ █████╗ ████████╗ █████╗ ██╗      ██████╗  ██████╗ 
  ██╔════╝██║     ██║╚██╗██╔╝    ██╔════╝██╔══██╗╚══██╔══╝██╔══██╗██║     ██╔═══██╗██╔════╝ 
  █████╗  ██║     ██║ ╚███╔╝     ██║     ███████║   ██║   ███████║██║     ██║   ██║██║  ███╗
  ██╔══╝  ██║     ██║ ██╔██╗     ██║     ██╔══██║   ██║   ██╔══██║██║     ██║   ██║██║   ██║
  ██║     ███████╗██║██╔╝ ██╗    ╚██████╗██║  ██║   ██║   ██║  ██║███████╗╚██████╔╝╚██████╔╝
  ╚═╝     ╚══════╝╚═╝╚═╝  ╚═╝     ╚═════╝╚═╝  ╚═╝   ╚═╝   ╚═╝  ╚═╝╚══════╝ ╚═════╝  ╚═════╝ 
                                                                                            
  
`);
}
exports.catalogSplashTitle = catalogSplashTitle;
